[Blends-commit] [SCM] blends-dev branch, master, updated. f9ae67ed4dac503434d66d762c39e817d25fec38
Mike Gabriel
mike.gabriel at das-netzwerkteam.de
Sat Aug 5 03:14:32 UTC 2017
The following commit has been merged in the master branch:
commit f9ae67ed4dac503434d66d762c39e817d25fec38
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date: Fri Aug 4 23:14:13 2017 -0400
devtools: White-space clean-up: Removal of tabs from Perl scripts, removal of trailing white-spaces.
diff --git a/devtools/Makefile b/devtools/Makefile
index caf19e6..c2038a8 100755
--- a/devtools/Makefile
+++ b/devtools/Makefile
@@ -45,7 +45,7 @@ packages-sorted.txt: packages.txt by_vote
done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt
-clean:
+clean:
rm -rf tmp
rm -f tasks/*~
rm -rf tasksel
diff --git a/devtools/blend-gen-control b/devtools/blend-gen-control
index 249c378..b6c0b7f 100755
--- a/devtools/blend-gen-control
+++ b/devtools/blend-gen-control
@@ -72,7 +72,7 @@ usage() and exit if $opts{'h'};
my $aptsourcesinput = $opts{'s'} if ($opts{'s'});
$aptsources = $aptsourcesinput ;
-if ( $aptsources !~ m%^/% && $aptsources !~ /^sources\.list\./ ) {
+if ( $aptsources !~ m%^/% && $aptsources !~ /^sources\.list\./ ) {
my $cwd ;
chomp($cwd = `pwd`) ;
$aptsources = $cwd . "/sources.list." . $aptsources ;
@@ -80,7 +80,7 @@ if ( $aptsources !~ m%^/% && $aptsources !~ /^sources\.list\./ ) {
if ( ! -e $aptsources ) {
$aptsources = $aptsourcesdefaultlocation . "/sources.list." . $aptsourcesinput;
if ( ! -e $aptsources ) {
- die "Apt sources.list $aptsources not found.\n" ;
+ die "Apt sources.list $aptsources not found.\n" ;
}
}
@@ -186,37 +186,37 @@ sub gen_control {
$taskinfo{$task}{'Metapackage'} eq 'false');
next if ( $suppressempty && $taskinfo{$task}{'haspackages'} == 0 );
if (exists $taskinfo{$task}{'Install'} &&
- $taskinfo{$task}{'Install'} eq 'true') {
- push (@recommends, $task)
- } else {
- push (@suggests, $task)
- }
+ $taskinfo{$task}{'Install'} eq 'true') {
+ push (@recommends, $task)
+ } else {
+ push (@suggests, $task)
+ }
}
if (@recommends) {
- print "Package: " . $prefix . "all\n";
- print "Section: metapackages\n" ;
- print "Architecture: all\n";
- print("Recommends: ", join(",\n ", @recommends),"\n");
- print("Suggests: ", join(",\n ", @suggests),"\n") if @suggests;
- print "Description: Default selection of tasks for $blendtitle\n";
- print " This package is part of the $blendtitle Pure Blend and installs all\n";
- print " tasks for a default installation of this blend.\n\n";
+ print "Package: " . $prefix . "all\n";
+ print "Section: metapackages\n" ;
+ print "Architecture: all\n";
+ print("Recommends: ", join(",\n ", @recommends),"\n");
+ print("Suggests: ", join(",\n ", @suggests),"\n") if @suggests;
+ print "Description: Default selection of tasks for $blendtitle\n";
+ print " This package is part of the $blendtitle Pure Blend and installs all\n";
+ print " tasks for a default installation of this blend.\n\n";
}
for $task (sort keys %taskinfo) {
next if (exists $taskinfo{$task}{'Metapackage'} &&
$taskinfo{$task}{'Metapackage'} eq 'false');
- print STDERR "$task: $taskinfo{$task}{'haspackages'}\n" if $debug;
- # if no package was found in the target distribution suppress this task at all
- if ( $suppressempty && $taskinfo{$task}{'haspackages'} == 0 ) {
- print STDERR "The metapackage $task will not be created because $taskinfo{$task}{'haspackages'} dependant are in the pool and suppressempty was set ($suppressempty)\n" if $debug;
- next ;
- }
+ print STDERR "$task: $taskinfo{$task}{'haspackages'}\n" if $debug;
+ # if no package was found in the target distribution suppress this task at all
+ if ( $suppressempty && $taskinfo{$task}{'haspackages'} == 0 ) {
+ print STDERR "The metapackage $task will not be created because $taskinfo{$task}{'haspackages'} dependant are in the pool and suppressempty was set ($suppressempty)\n" if $debug;
+ next ;
+ }
print "Package: $task\n";
-
- # metapackages should not be Section misc -> see #720199
- if (defined $taskinfo{$task}{'Section'} && $taskinfo{$task}{'Section'} ne 'misc') {
+
+ # metapackages should not be Section misc -> see #720199
+ if (defined $taskinfo{$task}{'Section'} && $taskinfo{$task}{'Section'} ne 'misc') {
print "Section: $taskinfo{$task}{'Section'}\n" ;
} else {
print "Section: metapackages\n" ;
@@ -229,16 +229,16 @@ sub gen_control {
my %seenlist;
if ($nodepends) {
# degrade dependencies to recommends
- if ( $tasksname ) {
- print "Depends: $tasksname";
- if ( $tasksname =~ /-tasks$/ ) {
- print ' (= ${source:Version}), ${misc:Depends}';
- }
- if ( $hasconfig ) {
- print ', ' . $prefix . 'config (= ${source:Version})';
- }
- print "\n" ;
- }
+ if ( $tasksname ) {
+ print "Depends: $tasksname";
+ if ( $tasksname =~ /-tasks$/ ) {
+ print ' (= ${source:Version}), ${misc:Depends}';
+ }
+ if ( $hasconfig ) {
+ print ', ' . $prefix . 'config (= ${source:Version})';
+ }
+ print "\n" ;
+ }
# Use common %seenlist, as it is no use listing
# packages both in recommends and suggest
my @list;
@@ -284,40 +284,40 @@ sub gen_control {
# Enable to list all dependencies as key packages
my $task_depends_are_keys = 0;
sub print_task_desc {
- if (! $opts{'u'} ) {
- print "Task: $blendname\n";
- print "Relevance: 7\n";
- print "Section: $blendname\n";
-# print "Key: \n";
-# print " $blendshortname-tasks\n";
- print "Description: $blendtitle Pure Blend\n";
- print " .\n"; # no long description available
- print "\n";
- }
+ if (! $opts{'u'} ) {
+ print "Task: $blendname\n";
+ print "Relevance: 7\n";
+ print "Section: $blendname\n";
+# print "Key: \n";
+# print " $blendshortname-tasks\n";
+ print "Description: $blendtitle Pure Blend\n";
+ print " .\n"; # no long description available
+ print "\n";
+ }
foreach my $task (sort keys %taskinfo) {
next if (exists $taskinfo{$task}{'Leaf'} &&
$taskinfo{$task}{'Leaf'} eq 'false');
- next if (exists $taskinfo{$task}{'Metapackage'} &&
- $taskinfo{$task}{'Metapackage'} eq 'false');
- my $header;
- if ( $suppressempty && $taskinfo{$task}{'haspackages'} == 0 ) {
- # Check for Test-always-lang header. If this field exists the
- # task should be created even if there are no explicite dependencies
- # This is a request of Debian Edu (see the thread at
- # http://lists.debian.org/debian-blends/2009/04/msg00008.html
- my $foundflag = 0;
- for $header (keys %{$taskinfo{$task}}) {
- if ($header =~ m/Test-always-lang/) {
- print STDERR "Print empty task $task because Test-always-lang is set\n" if $debug;
- $foundflag = 1;
- last;
- }
- }
- if ( $foundflag == 0 ) {
- print STDERR "The metapackage $task will not be created because $taskinfo{$task}{'haspackages'} dependant are in the pool and suppressempty was set ($suppressempty)\n" if $debug;
- next ;
- }
- }
+ next if (exists $taskinfo{$task}{'Metapackage'} &&
+ $taskinfo{$task}{'Metapackage'} eq 'false');
+ my $header;
+ if ( $suppressempty && $taskinfo{$task}{'haspackages'} == 0 ) {
+ # Check for Test-always-lang header. If this field exists the
+ # task should be created even if there are no explicite dependencies
+ # This is a request of Debian Edu (see the thread at
+ # http://lists.debian.org/debian-blends/2009/04/msg00008.html
+ my $foundflag = 0;
+ for $header (keys %{$taskinfo{$task}}) {
+ if ($header =~ m/Test-always-lang/) {
+ print STDERR "Print empty task $task because Test-always-lang is set\n" if $debug;
+ $foundflag = 1;
+ last;
+ }
+ }
+ if ( $foundflag == 0 ) {
+ print STDERR "The metapackage $task will not be created because $taskinfo{$task}{'haspackages'} dependant are in the pool and suppressempty was set ($suppressempty)\n" if $debug;
+ next ;
+ }
+ }
print "Task: $task\n";
if (! $opts{'u'}) {
print "Parent: $blendname\n";
@@ -330,12 +330,12 @@ sub print_task_desc {
}
print "Enhances: $taskinfo{$task}{Enhances}\n"
if exists $taskinfo{$task}{Enhances};
- if (exists $taskinfo{$task}{'Install'} &&
- $taskinfo{$task}{'Install'} eq 'true') {
+ if (exists $taskinfo{$task}{'Install'} &&
+ $taskinfo{$task}{'Install'} eq 'true') {
if (! $opts{'u'}) {
print "Test-new-install: mark show\n";
}
- }
+ }
for $header (keys %{$taskinfo{$task}}) {
if ($header =~ m/test-.+/i) {
print "$header: $taskinfo{$task}{$header}\n";
@@ -487,11 +487,11 @@ sub process_pkglist {
my $alternatecount=0;
for $package (@alternates) {
print STDERR "Loading pkg '$package'\n" if $debug;
- if ($package =~ /[A-Z]/) {
- print STDERR "Packages may not contain upper case letters (policy 5.6.7) $package. Name will be turned into ";
- $package = lc($package);
- print STDERR "$package\n";
- }
+ if ($package =~ /[A-Z]/) {
+ print STDERR "Packages may not contain upper case letters (policy 5.6.7) $package. Name will be turned into ";
+ $package = lc($package);
+ print STDERR "$package\n";
+ }
if ($package =~ /^-(.+)$/) {
$excluded{$1} = 1;
} elsif ( !exists $available{$package} ) {
@@ -565,7 +565,7 @@ sub load_task {
my $header;
for $header (qw(Depends Recommends Suggests)) {
- last if !defined $_;
+ last if !defined $_;
my $pkgs = '';
@@ -579,8 +579,8 @@ sub load_task {
# or no package in the header line ('<header>':<LF>)
if (($pkgs) || (m/^$header:\s*$/)) {
- while (<TASKFILE>) {
- last if (m/^\S+/ || m/^\s*$/);
+ while (<TASKFILE>) {
+ last if (m/^\S+/ || m/^\s*$/);
# remove blanks near kommas and pipe symbols
$_ =~ s/\s*,\s*/,/g;
@@ -589,8 +589,8 @@ sub load_task {
# reliable whitespace and backslash cleanup around
# package name
$_ =~ s/^\s+([^\s]+)\s*(|\\\s*)$/$1/;
- $pkgs .= $_;
- }
+ $pkgs .= $_;
+ }
# strip trailing komma after last package
$pkgs =~ s/\s*,$//;
@@ -600,13 +600,13 @@ sub load_task {
my ($pkglist, $missinglist) = process_pkglist($pkgs);
push(@{$taskinfo{$curpkg}{$header}}, @{$pkglist});
- $haspackages += $#{$taskinfo{$curpkg}{$header}} + 1;
- print STDERR "$curpkg $header:", @{$taskinfo{$curpkg}{$header}}, "($haspackages)\n" if $debug;
+ $haspackages += $#{$taskinfo{$curpkg}{$header}} + 1;
+ print STDERR "$curpkg $header:", @{$taskinfo{$curpkg}{$header}}, "($haspackages)\n" if $debug;
# Avoid missing packages in Depends lists, allow them
# in the two others. Insert missing depends in
# suggests list.
if (@{$missinglist}) {
- print STDERR "$curpkg: missing = ", @{$missinglist}, "\n" if $debug;
+ print STDERR "$curpkg: missing = ", @{$missinglist}, "\n" if $debug;
if ("Depends" eq $header) {
push(@{$taskinfo{$curpkg}{'Suggests'}}, @{$missinglist});
} else {
@@ -644,7 +644,7 @@ sub load_task {
}
close(TASKFILE);
unless ( $taskinfo{$curpkg}{'Architecture'} ) { $taskinfo{$curpkg}{'Architecture'} = "all" ; }
- $taskinfo{$curpkg}{'haspackages'} = $haspackages;
+ $taskinfo{$curpkg}{'haspackages'} = $haspackages;
print STDERR "$curpkg: haspackages = ", $taskinfo{$curpkg}{'haspackages'}, "\n" if $debug;
}
@@ -724,20 +724,20 @@ sub get_priorities {
# if there is no taskcontrolfile every task has the same priority
if ( ! stat($taskcontrolfile) ) {
- if ( ! $default ) { return (); }
+ if ( ! $default ) { return (); }
print STDERR "No task control file found - setting all tasks priority high.\n" if $debug;
- opendir(DIR, $tasksdir) || die("No tasks directory found.");
+ opendir(DIR, $tasksdir) || die("No tasks directory found.");
@list = grep { !/^\./ } readdir(DIR);
closedir DIR;
- return @list;
+ return @list;
}
# read taskcontrolfile and find priorities
print STDERR "Reading task control file.\n" if $debug;
open(PRIO,$taskcontrolfile) || die("Unable to read task control file.");
while (<PRIO>) {
chomp ;
- if ( $_=~/^$prio\s*:\s*([-\w]+)/) {
- push @list,$1;
+ if ( $_=~/^$prio\s*:\s*([-\w]+)/) {
+ push @list,$1;
}
}
close PRIO;
@@ -748,7 +748,7 @@ sub get_priorities {
sub blend_init {
# initialise blend name and other basic stuff
unless ( -d "debian" ) {
- mkdir("debian") || die "mkdir debian: $!";
+ mkdir("debian") || die "mkdir debian: $!";
}
unless ( -e "debian/control.stub" ) {
@@ -756,12 +756,12 @@ sub blend_init {
} else {
chomp($prefix = `$blend_dev_dir/blend-get-names metapackageprefix`) ;
$prefix = $prefix . "-" ;
- $tasksname = $prefix . "tasks";
- chomp($blendshortname = `$blend_dev_dir/blend-get-names blendshortname`);
- chomp($blendname = `$blend_dev_dir/blend-get-names blendname`);
- chomp($blendtitle = `$blend_dev_dir/blend-get-names blendtitle`);
+ $tasksname = $prefix . "tasks";
+ chomp($blendshortname = `$blend_dev_dir/blend-get-names blendshortname`);
+ chomp($blendname = `$blend_dev_dir/blend-get-names blendname`);
+ chomp($blendtitle = `$blend_dev_dir/blend-get-names blendtitle`);
}
if ( -d "config" && -e "config/control" ) {
- $hasconfig = 1;
+ $hasconfig = 1;
}
}
diff --git a/devtools/blend-get-names b/devtools/blend-get-names
index 6bfd1d4..e239fa0 100755
--- a/devtools/blend-get-names
+++ b/devtools/blend-get-names
@@ -12,47 +12,47 @@ CONTROLFILE=debian/control.stub
GetShortName () {
grep '^Source:' $CONTROLFILE | \
- sed -e 's/^Source:[[:space:]]*//' -e 's/^debian-//'
+ sed -e 's/^Source:[[:space:]]*//' -e 's/^debian-//'
}
if [ ! -e "$CONTROLFILE" ] ; then
- echo "Missing control file $CONTROLFILE"
- exit 72 # EX_OSFILE
+ echo "Missing control file $CONTROLFILE"
+ exit 72 # EX_OSFILE
fi
if [ "$#" -ne 1 ] ; then
- echo "Missing argument"
- echo "Usage: $0 blendname|blendshortname|blendtitle|metapackageprefix"
- exit 64 # EX_USAGE
+ echo "Missing argument"
+ echo "Usage: $0 blendname|blendshortname|blendtitle|metapackageprefix"
+ exit 64 # EX_USAGE
fi
case "$1" in
blendname)
grep '^Source:[[:space:]]*' "$CONTROLFILE" | \
- sed 's/^Source:[[:space:]]*//'
- exit 0
- ;;
+ sed 's/^Source:[[:space:]]*//'
+ exit 0
+ ;;
blendshortname)
- GetShortName
- exit 0
- ;;
+ GetShortName
+ exit 0
+ ;;
blendtitle) # default title is the short name with capital first char
- GetShortName | sed 's/.*/Debian \u&/'
- exit 0
- ;;
+ GetShortName | sed 's/.*/Debian \u&/'
+ exit 0
+ ;;
metapackageprefix)
- mprefix=`grep '^Package:[[:space:]]*' "$CONTROLFILE" |head -1| \
- sed 's/^Package:[[:space:]]*\([[:alnum:]]\+\)-*.*/\1/'`
- if [ -z $mprefix ] ; then
- GetShortName
- else
- echo $mprefix
- fi
- exit 0
- ;;
+ mprefix=`grep '^Package:[[:space:]]*' "$CONTROLFILE" |head -1| \
+ sed 's/^Package:[[:space:]]*\([[:alnum:]]\+\)-*.*/\1/'`
+ if [ -z $mprefix ] ; then
+ GetShortName
+ else
+ echo $mprefix
+ fi
+ exit 0
+ ;;
*)
- echo "Unknown argument $1"
- echo "Usage: $0 blendname|blendshortname|metapackageprefix"
- exit 64 # EX_USAGE
- ;;
+ echo "Unknown argument $1"
+ echo "Usage: $0 blendname|blendshortname|metapackageprefix"
+ exit 64 # EX_USAGE
+ ;;
esac
diff --git a/devtools/blend-install-helper b/devtools/blend-install-helper
index 0b52a89..a9af6af 100755
--- a/devtools/blend-install-helper
+++ b/devtools/blend-install-helper
@@ -6,7 +6,7 @@ SubstBlendName () {
sed -e "s/#BLEND#/${blend}/g" \
-e "s?\([/ ]\)\(config.templates:*\)?\1${blend}-\2?" \
-e "s/#BLENDNAME#/${BLENDNAME}/g" /usr/share/blends/templates/$1 >> \
- debian/$2
+ debian/$2
}
# Make dependency from menu containing packages to the right #BLEND#-config version
@@ -21,31 +21,31 @@ srcpkgname="`dpkg-parsechangelog | awk '/^Source:/ {print $2}'`"
TASKLIST=""
for pkg in `ls tasks | grep -v "^[a-z]*:$*" | grep -v "^$" | sort | uniq` ; do
if grep -q "^Package: ${blend}-${pkg}" debian/control ; then
- TASKLIST="$TASKLIST $pkg"
+ TASKLIST="$TASKLIST $pkg"
fi
done
# General Task registry, menu registration and post{inst,rm} preparation
for pkg in $TASKLIST ; do
# registration
if ! grep -q -w "^Task:" tasks/$pkg ; then
- echo "Control file template tasks/$pkg does not contain 'Task:' field."
- # I'm sure there are more clever ways to make the first letter upper case ...
- # task=`echo $pkg | sed 's/^\(.\).*/\1/' | tr "^[a-z]" "^[A-Z]"``echo $pkg | sed 's/^.//'`
- # For the moment disable tasksel if there is no "Task:" tag given
+ echo "Control file template tasks/$pkg does not contain 'Task:' field."
+ # I'm sure there are more clever ways to make the first letter upper case ...
+ # task=`echo $pkg | sed 's/^\(.\).*/\1/' | tr "^[a-z]" "^[A-Z]"``echo $pkg | sed 's/^.//'`
+ # For the moment disable tasksel if there is no "Task:" tag given
else
- task=`grep -w "^Task:" tasks/"$pkg" | sed "s/^Task:[[:space:]]*\([^[:space:]]*\)/\1/"`
- mkdir -p debian/"$blend"-"$pkg"/usr/share/blends/tasks/"$blend"/
- echo "$task" > debian/"$blend"-"$pkg"/usr/share/blends/tasks/"$blend"/"$pkg"
+ task=`grep -w "^Task:" tasks/"$pkg" | sed "s/^Task:[[:space:]]*\([^[:space:]]*\)/\1/"`
+ mkdir -p debian/"$blend"-"$pkg"/usr/share/blends/tasks/"$blend"/
+ echo "$task" > debian/"$blend"-"$pkg"/usr/share/blends/tasks/"$blend"/"$pkg"
fi
# if we provide an extra menu which overrides some menus provided by
# the maintainers of the dependand packages move them now to the right
# directory
[ -d menu ] && [ -d menu/"$pkg" ] && \
- if [ `find menu/"$pkg" -maxdepth 1 -name \*.menu | wc -l` -gt 0 ] ; then
- mkdir -p debian/"$blend"-"$pkg"/"$menudir"
- for dep in `find menu/"$pkg" -maxdepth 1 -name \*.menu` ; do
- cp -a "$dep" debian/"$blend"-"$pkg"/"$menudir"/`basename "$dep" .menu`
+ if [ `find menu/"$pkg" -maxdepth 1 -name \*.menu | wc -l` -gt 0 ] ; then
+ mkdir -p debian/"$blend"-"$pkg"/"$menudir"
+ for dep in `find menu/"$pkg" -maxdepth 1 -name \*.menu` ; do
+ cp -a "$dep" debian/"$blend"-"$pkg"/"$menudir"/`basename "$dep" .menu`
done
fi
@@ -55,32 +55,32 @@ for pkg in $TASKLIST ; do
# Check for documentation of packages (*.txt or *.html) which should be viewed in
# case of missing GUI
[ -d menu ] && [ -d menu/"$pkg" ] && \
- if [ `find menu/"$pkg" -maxdepth 1 -name \*.txt -o -name \*.html | wc -l` -gt 0 ] ; then
- for dep in `find menu/"$pkg" -maxdepth 1 -name \*.txt -o -name \*.html` ; do
+ if [ `find menu/"$pkg" -maxdepth 1 -name \*.txt -o -name \*.html | wc -l` -gt 0 ] ; then
+ for dep in `find menu/"$pkg" -maxdepth 1 -name \*.txt -o -name \*.html` ; do
# Formerly here was checked, whether this package is really listed in the
- # dependencies, with more clever menu handling it is enough to verify
- # whether it is mentioned at all in the package relations and the menu
- # system cares about whether a sugested package is installed or not
- depmenu=`basename ${dep} .txt`
- if [ "$depmenu" = `basename ${dep}` ] ; then depmenu=`basename ${dep} .html` ; fi
- if ! grep -A 5 "Package: $blend-$pkg" debian/control | grep -q -w "$depmenu" ; then
- ## echo "Package ${depmenu} seems not to be in dependencies"
- continue
- fi
- cp -a "$dep" debian/"$blend"-"$pkg"/usr/share/doc/"$blend"-"$pkg"
- done
+ # dependencies, with more clever menu handling it is enough to verify
+ # whether it is mentioned at all in the package relations and the menu
+ # system cares about whether a sugested package is installed or not
+ depmenu=`basename ${dep} .txt`
+ if [ "$depmenu" = `basename ${dep}` ] ; then depmenu=`basename ${dep} .html` ; fi
+ if ! grep -A 5 "Package: $blend-$pkg" debian/control | grep -q -w "$depmenu" ; then
+ ## echo "Package ${depmenu} seems not to be in dependencies"
+ continue
+ fi
+ cp -a "$dep" debian/"$blend"-"$pkg"/usr/share/doc/"$blend"-"$pkg"
+ done
fi
# post{inst/rm} template are appended if some extra scripts are provided or just created
# an extra postinst has to be saved (*.stub) and restored by the clean target in
# debian/rules
for prepost in postinst prerm ; do
- [ -s debian/"$blend"-"$pkg".${prepost}.stub ] && cp debian/"$blend"-"$pkg".${prepost}.stub debian/"$blend"-"$pkg".${prepost}
- if [ -s /usr/share/blends/templates/${prepost} ] ; then
- sed -e "s/#BLEND#/${blend}/g" \
- -e "s/#PKG#/${blend}-${pkg}/g" \
- /usr/share/blends/templates/${prepost} >> debian/"$blend"-"$pkg".${prepost}
- fi
+ [ -s debian/"$blend"-"$pkg".${prepost}.stub ] && cp debian/"$blend"-"$pkg".${prepost}.stub debian/"$blend"-"$pkg".${prepost}
+ if [ -s /usr/share/blends/templates/${prepost} ] ; then
+ sed -e "s/#BLEND#/${blend}/g" \
+ -e "s/#PKG#/${blend}-${pkg}/g" \
+ /usr/share/blends/templates/${prepost} >> debian/"$blend"-"$pkg".${prepost}
+ fi
done
done
@@ -118,7 +118,7 @@ if [ -s config/conf ] ; then
commname=`basename $comm`
SubstBlendName ${commname} ${blend}-${commname}
done
- # rename apt.conf.d file
+ # rename apt.conf.d file
[ -s debian/${blend}-apt.conf ] && mv debian/${blend}-apt.conf debian/90${blend}-config
if [ -d debian/po.stub ] ; then
cp -a debian/po.stub debian/po
diff --git a/devtools/rules b/devtools/rules
index 5b3467a..511f1c5 100755
--- a/devtools/rules
+++ b/devtools/rules
@@ -23,7 +23,7 @@ all:
INSTALLREADME := $(shell if test -e README ; then echo "-A README"; fi)
-debian/control:
+debian/control:
$(MAKE) -f $(BLENDMKFILE) debian/control
$(BLEND)-tasks.desc:
--
Git repository for blends code
More information about the Blends-commit
mailing list